[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ManualDock

Docks a control programmatically.

## Declaration

Source position: controls.pp line 1612

`public function TControl.ManualDock(`
`NewDockSite: TWinControl;`
`DropControl: TControl = Nil;`
`ControlSide: TAlign = alNone;`
`KeepDockSiteSize: Boolean = True`
`):Boolean; virtual;`

## Arguments

`NewDockSite` |  | The site into which the control is docked; Nil to make it float.
`DropControl` |  | The sibling control where the control is inserted; can be Nil.
`ControlSide` |  | The side or edge of the DropControl to which the control is docked.

## Function result

True if successfully docked.

## Description

Docks this control into NewDockSite, relative to DropControl. When NewDockSite is Nil, the control becomes floating.

When the new docksite uses an DockManager, and DropControl is not Nil, the control will be docked relative to DropControl, as specified by ControlSide.

The interpretation of ControlSide depends on the DockManager of NewDockSite, or on the OnDockDrop handler in an unmanaged docksite.

A tree docking manager (TDockTree) should interpret alCustom as NoteBook docking, i.e. a tabbed notebook is created in place of DropControl, and both DropControl and this control are docked into pages of this notebook.